#! &PERL&

#
# Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

# demo script, has been tested with:
#  - Postgres-6.1
#  - apache_1.2
#  - mod_perl-1.0
#  - perl5.004

use CGI;
use Pg;
use strict;
use Sys::Hostname;

my $query = new CGI;
my $host = hostname();

#print  $query->header,
#    "<html><head><TITLE>Subordinate Added</TITLE></head>\n
#     <BODY TEXT=black BGCOLOR=white LINK=blue VLINK=purple>\n
#     <CENTER>\n
#     <H2>\n";


if ($query->param) {
    my $sub = $query->param('subs');
    my $config = $query->param('config');

    if ($config eq "RemSub") {
      #check for empty subordinate field
      if ($sub eq "")
      {
        print $query->header,
	"<HTML><TITLE>There was no subordinate chosen...</TITLE>\n
         <BODY TEXT=black BGCOLOR=white LINK=blue VLINK=purple>\n
         <CENTER><H2>$sub\n";
       	print "<BR><BR>There was no subordinate chosen...</H2>\n
         <BR><A HREF=\"mansub.shtml\">Return to Manager/Subordinate Main Configuration Page</A>\n
         </CENTER>\n";
        print $query->end_html; 
      }
      else
      {
	  my $conn = Pg::connectdb("dbname = hummer_$host");
	  my $result = $conn->exec("delete from subordinates where subord =
'$sub';");
	  print $query->header,
	  "<HTML><TITLE>Subordinate Removed</TITLE>\n
           <BODY TEXT=black BGCOLOR=white LINK=blue VLINK=purple>\n
           <CENTER><H2>$sub\n";
	  print "<BR><BR>has been removed from the subordinate list.</H2>\n
           <BR><A HREF=\"mansub.shtml\">Return to Manager/Subordinate Main Configuration Page</A>\n
           </CENTER>\n";
	  print $query->end_html;
      }
      
    }
    elsif ($config eq "ConfigSub") {
      #check for empty subordinate field
        if ($sub eq "")
        {
          print $query->header,
	  "<HTML><TITLE>There was no subordinate chosen...</TITLE>\n
           <BODY TEXT=black BGCOLOR=white LINK=blue VLINK=purple>\n
           <CENTER><H2>$sub\n";
       	  print "<BR><BR>There was no subordinate chosen...</H2>\n
           <BR><A HREF=\"mansub.shtml\">Return to Manager/Subordinate Main Configuration Page</A>\n
           </CENTER>\n";
          print $query->end_html; 
        }
        else
        {
	print  $query->header,
	"<meta http-equiv=\"refresh\" content=\"0;
            url=http://$sub:15000\">\n";
        }
    }
    else {
	print $query->header,
	"<h1>No Action taken<\h1>\n";
    }
}








