/****************************************************************
Level.h
CS 481 - Team E
Spring 1998
Hummingbird Project - Dr. Frincke
Coded by:Jamie Marconi
Description: This file contains the level object. This object contains the
             needed information for a levels filter.
*****************************************************************/
/*
 Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _Level_h
#define _Level_h

#include "Hummer.h"     // Global hummer defines

class Level
{
public:
  char StartHostIP[IP_ADDRESS_SIZE];// explicit IP or start of host range
  char EndHostIP[IP_ADDRESS_SIZE];  // end of host range, NULL if explicity IP
  char TrustLevel;                  // The trust level of the address
  char CoopLevel;                   // The cooperation level of the address
  char IntegLevel;                  // the Integrity level of the address
  Level *Next;                      // Next pointer in linked list
};

#endif
